View Issue Details

IDProjectCategoryView StatusLast Update
0003764PluginsProcListpublic2020-03-01 16:50
Reporteralexfbg Assigned ToDrKnS  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindows 
Product Version3.0 
Fixed in Version3.0 
Summary0003764: FAR/ProcessList x64 не показывает модули для 32-битных .exe
DescriptionFAR/ProcessList x64 не показывает модули для 32-битных .exe

И если 32-битный FAR сложнее научить смотреть данные о 64-битных процессах (на 64-битной ОС), то вот не показывать на 64-битной ОС 64-битным FAR'ом данные по 32-битным процессам - как-то совсем плохо.
Steps To ReproduceШаги воспроизведения:
1) Запустить или найти в списке любой 32-битный процесс
2) Посмотреть список модулей в нем по F3

Ожидаемое поведение:
Получить полноценный список модулей в разделе Modules

Реальное поведение:
В худшем случае - это просто пустой список.
В лучшем случае увидите список от wow64 (3-4 модуля эмуляции).
Оба списка не имеют никакого отношения к реальности.
TagsNo tags attached.

Activities

DrKnS

2020-01-22 01:34

administrator   bugnote:0016719

Ok, build 189

lost

2020-02-04 11:38

reporter   bugnote:0016733

При исправлении сломалось Shift-F3: всегда берутся глобальные настройки, т.к. забыли передать _Opt& Opt.
Могу сделать PR или сами исправите?

DrKnS

2020-02-04 19:08

administrator   bugnote:0016734

Спасибо, поправил.

Issue History

Date Modified Username Field Change
2020-01-16 02:08 alexfbg New Issue
2020-01-22 01:34 DrKnS Assigned To => DrKnS
2020-01-22 01:34 DrKnS Status new => feedback
2020-01-22 01:34 DrKnS Note Added: 0016719
2020-02-04 11:38 lost Note Added: 0016733
2020-02-04 19:08 DrKnS Note Added: 0016734
2020-03-01 16:50 DrKnS Status feedback => closed
2020-03-01 16:50 DrKnS Resolution open => fixed
2020-03-01 16:50 DrKnS Fixed in Version => 3.0